curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"quantity": 123,
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items"
payload = {
"quantity": 123,
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": True,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quantity: 123,
stateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonComment: '<string>',
conditionId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
conditionComment: '<string>',
credit: true,
salesOrderLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
deliveryNoteLineItemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"returnLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Adds a new line item to an existing return.
Adds a new line item to an existing return.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Path Parameters
The ID of the return the line item is added to.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request model for AddReturnLineItem command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
The quantity of the line item.
The state of the line item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The return reason of the line item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The comment for the return reason.
The item condition after inspection.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The comment for the item condition.
Indicates whether the line item should be credited.
Unique ID to identify a sales order item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Unique ID to identify a delivery note item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Successfully added a line item to the return.
Adds a new line item to an existing return. - Response
The ID of the newly added line item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?